function [finalCenters,finalRadii]=multiSearch(Image, centerG, radiiG)

%this variable determines whether or not the results of the tracking will 
%be displayed at each frame
showResult=0;

%find size of the array of guessed centers
[temp1,temp2]=size(centerG);

%create arrays to hold results
finalCenters=[];
finalRadii=[];

%if neither of the array dimensions are 0
if(temp1*temp2~=0)

    %find the number of guessed centers
    n=length(centerG(:,1));

    %run through the guessed centers and run centerSearch for each one,
    %creating an array of outputs, one for each guessed center
    for i=1:n
        %set the guessed center and radius
        guessCenter=centerG(i,:);
        guessRadius=radiiG(i);

        %run center search
        [tempC, tempR]=centerSearch(Image,guessCenter,guessRadius);

        %store the results in finalCenters and finalRadii
        finalCenters(i,:)=tempC;
        finalRadii(i)=tempR;
    end
end

%plot output if desired
if showResult
    figure
    for i=1:n
        showFind(Image,finalCenters,finalRadii);
    end
end