function pats=ring_pat(nr,thick)

%generates patterns for rings to be checked in the software
for i=1:nr
    %set width of pattern overall (twice radius plus twice thickness plus
    %one more for the center)
    N=2*i+2*ceil(thick)+1;
    
    %create a grid of locations based upon the size of N
    n2=floor(N/2);
    [x , y]=meshgrid(-n2:n2,-n2:n2);
    
    %find distances from each point to the center
    r=sqrt(x.^2+y.^2);
    
    %set all to zero, except those closer to radius than half the
    %thickness (producing a ring of thickness)
    map=abs(r-i)<(thick/2);
    
    %store pattern, along with number of ones in the pattern
    pats(i).H=double(map);
    pats(i).NF=sum(map(:));
end