function showFind(Image,finalCenter,finalRadii)

%find size of image to be shown
[r,c]=size(Image);

%transforms a black and white image into a color image that looks identical
colorI=zeros(r,c,3);
colorI(:,:,1)=Image;
colorI(:,:,2)=Image;
colorI(:,:,3)=Image;

colorI=floor(255*colorI/(max(max(max(colorI)))));

%this is the maximum radius ring that showfind will plot
maxR=40;

%round so may use as indicies
finalCenter=round(finalCenter);
finalRadii=round(finalRadii);

%run through all centers found (plot all circles)
for i=1:length(finalCenter(:,1))


    %plot a small + sign in the middle of the found ring (make it red)
    colorI(finalCenter(i,2),finalCenter(i,1),1)=0;
    colorI(finalCenter(i,2),finalCenter(i,1),1)=255;
    colorI(finalCenter(i,2),finalCenter(i,1),1)=255;

    if finalCenter(i,2)-1 > 0
        colorI(finalCenter(i,2)-1,finalCenter(i,1),1)=0;
        colorI(finalCenter(i,2)-1,finalCenter(i,1),1)=255;
        colorI(finalCenter(i,2)-1,finalCenter(i,1),1)=255;
    end

    if finalCenter(i,2)+1 <= r
        colorI(finalCenter(i,2)+1,finalCenter(i,1),1)=0;
        colorI(finalCenter(i,2)+1,finalCenter(i,1),1)=255;
        colorI(finalCenter(i,2)+1,finalCenter(i,1),1)=255;
    end

    if finalCenter(i,1)-1 > 0
        colorI(finalCenter(i,2),finalCenter(i,1)-1,1)=0;
        colorI(finalCenter(i,2),finalCenter(i,1)-1,1)=255;
        colorI(finalCenter(i,2),finalCenter(i,1)-1,1)=255;
    end

    if finalCenter(i,1)+1 <= c
        colorI(finalCenter(i,2),finalCenter(i,1)+1,1)=0;
        colorI(finalCenter(i,2),finalCenter(i,1)+1,1)=255;
        colorI(finalCenter(i,2),finalCenter(i,1)+1,1)=255;
    end

    %draw a ring of the appropriate radius around the found center
    for j=-maxR:maxR
        for k=-maxR:maxR
            a=round(finalRadii(i));
            b=round(sqrt((j)^2+(k)^2));

            %set a pixel to red iff it is the right distance away and it is
            %within the current image
            if(round(sqrt((j)^2+(k)^2))==round(finalRadii(i)) &&...
                    finalCenter(i,2)+k >=1 &&  finalCenter(i,2)+k <=r &&...
                    finalCenter(i,1)+j >=1 &&  finalCenter(i,1)+j <=c)
                colorI(finalCenter(i,2)+k,finalCenter(i,1)+j,1)=0;
                colorI(finalCenter(i,2)+k,finalCenter(i,1)+j,1)=255;
                colorI(finalCenter(i,2)+k,finalCenter(i,1)+j,1)=255;
            end
        end
    end

end

%show the image with the circles/crosses drawn
imshow(uint8(colorI))